package com.test;

import javax.jms.Destination;
import javax.jms.JMSException;
import javax.jms.ObjectMessage;
import javax.jms.Session;
import javax.jms.TextMessage;

import org.springframework.jms.core.JmsTemplate;
import org.springframework.jms.core.MessageCreator;


public class JMSProducer {

	private JmsTemplate template;
	private Destination destination;
	
	
	public void send(final String message) {
		MessageCreator messageCreator = new MessageCreator() {
			public javax.jms.Message createMessage(Session session)
					throws JMSException {
				TextMessage textMessage = session.createTextMessage();
				textMessage.setText(message);
				return textMessage;
			}
		};
		getTemplate().send(getDestination(), messageCreator);
	}


	public JmsTemplate getTemplate() {
		return template;
	}


	public void setTemplate(JmsTemplate template) {
		this.template = template;
	}


	public Destination getDestination() {
		return destination;
	}


	public void setDestination(Destination destination) {
		this.destination = destination;
	}
}
